Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
EggMorph< Parameter > Class Template Reference

A single <Dxyz> or <Duv> or some such entry. More...

`#include "eggMorph.h"`

Inheritance diagram for EggMorph< Parameter >:

## Public Member Functions
| EggMorph (const std::string &name, const Parameter &offset)
int | compare_to (const EggMorph< Parameter > &other, double threshold) const
| compare_to() compares a different space than the operator methods, which only check the name.
const Parameter & | get_offset () const
bool | operator!= (const EggMorph< Parameter > &other) const
bool | operator< (const EggMorph< Parameter > &other) const
bool | operator== (const EggMorph< Parameter > &other) const
void | output (std::ostream &out, const std::string &tag, int num_dimensions) const
void | set_offset (const Parameter &offset)
Public Member Functions inherited from Namable
| Namable (const std::string &initial_name="")
void | clear_name ()
| Resets the Namable's name to empty.
const std::string & | get_name () const
bool | has_name () const
| Returns true if the Namable has a nonempty name set, false if the name is empty.
void | output (std::ostream &out) const
| Outputs the Namable.
void | set_name (const std::string &name)
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Static Public Member Functions inherited from Namable
static TypeHandle | get_class_type ()
static void | init_type ()
Public Attributes inherited from Namable
| get_name
| set_name

## Detailed Description

template<class Parameter>
class EggMorph< Parameter >

A single <Dxyz> or <Duv> or some such entry.

This simply contains the morph name and the offset value. The class EggMorph is actually a template class on the type of value that is being offset; the specific kinds of morphs are instantiated from this below.

Definition at line 30 of file eggMorph.h.

## Constructor & Destructor Documentation

## ◆ EggMorph()

template<class Parameter>

EggMorph< Parameter >::EggMorph | ( | const std::string & | name,
|  | const Parameter & | offset )
| inline

Definition at line 18 of file eggMorph.I.

## Member Function Documentation

## ◆ compare_to()

template<class Parameter>

int EggMorph< Parameter >::compare_to | ( | const EggMorph< Parameter > & | other,
|  | double | threshold ) const
| inline

compare_to() compares a different space than the operator methods, which only check the name.

compare_to() compares the name and the value as well.

Definition at line 78 of file eggMorph.I.

## ◆ get_offset()

template<class Parameter>

const Parameter & EggMorph< Parameter >::get_offset | ( |  | ) | const
| inline

Definition at line 39 of file eggMorph.I.

## ◆ operator!=()

template<class Parameter>

bool EggMorph< Parameter >::operator!= | ( | const EggMorph< Parameter > & | other | ) | const
| inline

Definition at line 68 of file eggMorph.I.

## ◆ operator<()

template<class Parameter>

bool EggMorph< Parameter >::operator< | ( | const EggMorph< Parameter > & | other | ) | const
| inline

Definition at line 49 of file eggMorph.I.

## ◆ operator==()

template<class Parameter>

bool EggMorph< Parameter >::operator== | ( | const EggMorph< Parameter > & | other | ) | const
| inline

Definition at line 59 of file eggMorph.I.

## ◆ output()

template<class Parameter>

void EggMorph< Parameter >::output | ( | std::ostream & | out,
|  | const std::string & | tag,
|  | int | num_dimensions ) const
| inline

Definition at line 91 of file eggMorph.I.

## ◆ set_offset()

template<class Parameter>

void EggMorph< Parameter >::set_offset | ( | const Parameter & | offset | ) |
| inline

Definition at line 29 of file eggMorph.I.

The documentation for this class was generated from the following files:

- panda/src/egg/eggMorph.h
- panda/src/egg/eggMorph.I